unit Unit2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, StdCtrls, ExtCtrls;


Type TLabelPanel = class(TPanel)
    BackgndShape: TShape;
  public
    Constructor Create(TheOwner:TComponent);override;
    Destructor Destroy;override;
    Procedure Resize;override;

end;



IMPLEMENTATION

uses
  Controls, Graphics;

Constructor TLabelPanel.Create(TheOwner:TComponent);
begin
  inherited Create(TheOwner);

  BackgndShape:= TShape.Create(Self);
  BackgndShape.Parent:= Self;
  BackgndShape.Brush.Color:= clGreen;
  BackgndShape.Pen.Width:= 10;
  BackgndShape.Left:= 0;
  BackgndShape.Top:= 0;

end;

Destructor TLabelPanel.Destroy;
begin

  inherited Destroy;
end;

Procedure TLabelPanel.Resize;
begin
  inherited Resize;

  //if assigned(BackgndShape) then begin   //No chrash if checked for assignment first
    BackgndShape.Left:= 10;
    BackgndShape.Top:= 10;
    BackgndShape.Width:= Width-20;
    BackgndShape.Height:= Height-20;
  //end;

end;

end.

